Skip to main content
GET
/
check
/
{address}
Check if account is registered
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/deposit-processor/check/{address}
{
  "isRegistered": true,
  "targetChain": "<string>",
  "targetToken": "<string>",
  "recipient": "<string>",
  "sourceChains": [
    "<string>"
  ],
  "outputTokenRules": [
    {
      "match": {
        "symbol": "USDC"
      },
      "outputToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
    }
  ],
  "rejectUnmapped": true,
  "postBridgeActions": [
    {
      "contract": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
      "outputToken": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

address
string
required

Ethereum address (0x followed by 40 hex characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"

Response

Account registration status

isRegistered
boolean
required
targetChain
string
targetToken
string
recipient
string
sourceChains
string[]
outputTokenRules
object[]
rejectUnmapped
boolean
postBridgeActions
object[]